Page MenuHomePhabricator

RevisionSlider's tooltips are not entirely visible when viewing diffs of pages with hidden main section header
Closed, ResolvedPublic2 Story Points

Description

Main headers of some pages are hidden, for instance Diff page of the Main page of German Wikipedia [1]
RevisionSlider currently always display "tooltips" above the revision bar plot. On pages like [1] that results with contents of essentially all tooltips not being entirely visible (ie. tooltip positioned above the bars does not fit the window).
Similar problem might be observed on other diff pages (including main section header) - after scrolling down a bit with bars still available, when hovering bars tooltips are displayed above bars but partly or entirely invisible for the user.

A possible solution to the problem would be to position tooltips over the bar plot if the tooltip would fit there entirely, or show it below the bars otherwise.

[1] https://de.wikipedia.org/w/index.php?diff=152425751&oldid=151585132

Details

Related Gerrit Patches:
mediawiki/extensions/RevisionSlider : masterSmarter setting of the "gravity" of tooltips

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2016, 12:56 PM
WMDE-leszek set the point value for this task to 2.Jul 22 2016, 12:56 PM
Addshore moved this task from Incoming to Revision Slider on the TCB-Team board.Jul 22 2016, 1:08 PM

Change 300541 had a related patch set uploaded (by WMDE-leszek):
Smarter setting of the "gravity" of tooltips

https://gerrit.wikimedia.org/r/300541

Addshore moved this task from Incoming to Doing on the Revision-Slider board.Jul 25 2016, 8:22 PM
Addshore triaged this task as Medium priority.Jul 26 2016, 9:11 AM

Change 300541 merged by jenkins-bot:
Smarter setting of the "gravity" of tooltips

https://gerrit.wikimedia.org/r/300541

Addshore closed this task as Resolved.Aug 2 2016, 9:50 AM
Addshore added a subscriber: Addshore.

Will be deployed this week.

Addshore moved this task from Doing to Done on the Revision-Slider board.Aug 3 2016, 5:13 PM